> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a file rename rule

> Add a new rename rule for files.



## OpenAPI

````yaml https://app.herondata.io/swagger post /api/end_user_files/rename_rules
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_user_files/rename_rules:
    post:
      tags:
        - EndUserFiles
      summary: Create a file rename rule
      description: Add a new rename rule for files.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateFileRenameRuleSchema'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetFileRenameRulesSchema'
          description: The created file rename rule
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreateFileRenameRuleSchema:
      properties:
        end_user_file_class:
          type: string
        file_name_template:
          type: string
        is_enabled:
          type: boolean
        variables:
          items:
            $ref: '#/components/schemas/VariableDefinition'
          type: array
      required:
        - end_user_file_class
        - file_name_template
        - is_enabled
      type: object
    GetFileRenameRulesSchema:
      properties:
        end_user_file_class:
          type: string
        file_name_template:
          type: string
        heron_id:
          type: string
        is_enabled:
          type: boolean
        variables:
          items:
            $ref: '#/components/schemas/VariableDefinition'
          type: array
      required:
        - end_user_file_class
        - file_name_template
        - is_enabled
      type: object
    VariableDefinition:
      properties:
        description:
          type: string
        examples:
          items:
            type: string
          type: array
        key:
          type: string
        name:
          type: string
      required:
        - description
        - examples
        - key
        - name
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````